package com.hzya.frame.sys.dictionaryshopNew.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.dictionaryshopNew.dao.ISysDictionaryshopNewMapper;
import com.hzya.frame.sys.dictionaryshopNew.entity.SysDictionaryshopNew;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 数据字典表  dao
 * @tableName: sys_dictionaryshop_new
 * @entityName: SysDictionaryshopNew
 * @author: gjh
 * @history:1.0
 */
@Service
public class SysDictionaryshopNewMapperImpl extends MybatisGenericDao<SysDictionaryshopNew, String> implements ISysDictionaryshopNewMapper {

    @Override
    public SysDictionaryshopNew entity_get(String id) {

        SysDictionaryshopNew o = (SysDictionaryshopNew) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<SysDictionaryshopNew> entity_list_base(SysDictionaryshopNew entity) {

        List<SysDictionaryshopNew> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(SysDictionaryshopNew entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<SysDictionaryshopNew> entity_list_like(SysDictionaryshopNew entity) {

        List<SysDictionaryshopNew> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<SysDictionaryshopNew> entity_list_or(SysDictionaryshopNew entity) {
        List<SysDictionaryshopNew> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;
    }

    //新增  entity_insert
    @Override
    public SysDictionaryshopNew entity_insert(SysDictionaryshopNew entity) {

        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(SysDictionaryshopNew entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(SysDictionaryshopNew entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(SysDictionaryshopNew entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(SysDictionaryshopNew entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }


    @Override
    public SysDictionaryshopNew entity_get_by_value(SysDictionaryshopNew entity) {

        SysDictionaryshopNew o = (SysDictionaryshopNew) super.selectOne(getSqlIdPrifx() + "entity_get_by_value", entity);
        return o;

    }
}
